#ifndef _IONBLASTER_H
#define _IONBLASTER_H

typedef struct
{
	float   flyby_timer;
//	float	remove_time;
   short bounce_count;
   short dissolve;
} ionHook_t;

extern weaponInfo_t ionblasterWeaponInfo;

void ionblaster_select(userEntity_t *self);
userInventory_t *ionblaster_give (userEntity_t *self);
void ionblaster_ammo(userEntity_t *self);
void ionblaster_use(userInventory_s *ptr, userEntity_t *self);
void *ionblaster_command (struct userInventory_s *ptr, char *commandStr, void *data);
static void spawnIonExplode(Vector pos, Vector normal);
static void ionExplodeThink(userEntity_t *self);
static void fireFlashOff(userEntity_t *self);

#endif